> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.mysoleas.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Suspendre une souscription



## OpenAPI

````yaml POST /merchand/billing/subscriptions/suspend/{reference}
openapi: 3.1.0
info:
  title: Mysoleas API
  version: 3.0.0
  description: >-
    Nouvelle architecture Mysoleas: gateway de paiement et authentification
    OAuth 2.0.
servers:
  - url: https://api.mysoleas.com
    description: Gateway Mysoleas
  - url: https://account.mysoleas.com
    description: Authentification Mysoleas
security:
  - bearerAuth: []
tags:
  - name: Auth
  - name: Plugin
  - name: Payment links
  - name: Subscriptions
  - name: Collections
  - name: Disbursements
  - name: Catalog
paths:
  /merchand/billing/subscriptions/suspend/{reference}:
    post:
      tags:
        - Subscriptions
      summary: Suspendre une souscription
      parameters:
        - $ref: '#/components/parameters/Reference'
      requestBody:
        $ref: '#/components/requestBodies/UpdateSubscription'
      responses:
        '200':
          $ref: '#/components/responses/SubscriptionSuccess'
components:
  parameters:
    Reference:
      name: reference
      in: path
      required: true
      schema:
        type: string
  requestBodies:
    UpdateSubscription:
      required: false
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UpdateSubscriptionRequest'
  responses:
    SubscriptionSuccess:
      description: Souscription retournee
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SubscriptionApiResponse'
  schemas:
    UpdateSubscriptionRequest:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        reason:
          type: string
    SubscriptionApiResponse:
      allOf:
        - $ref: '#/components/schemas/ApiResponseBase'
        - type: object
          properties:
            data:
              $ref: '#/components/schemas/Subscription'
    ApiResponseBase:
      type: object
      properties:
        code:
          type: integer
          example: 200
        success:
          type: boolean
          example: true
        locale:
          type: string
          example: fr
        message:
          type: string
        meta:
          type: object
          additionalProperties: true
    Subscription:
      type: object
      properties:
        reference:
          type: string
        customer_email:
          type: string
        amount:
          type: integer
        currency:
          type: string
        frequency:
          type: string
          enum:
            - DAILY
            - WEEKLY
            - MONTHLY
            - QUARTERLY
            - YEARLY
        status:
          type: string
          enum:
            - ACTIVE
            - SUSPENDED
            - CANCELLED
            - EXPIRED
        next_payment_at:
          type:
            - string
            - 'null'
          format: date-time
        created_at:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````